Last modified: 2013-07-25 07:07:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 41337 - Fatal error: Call to a member function msg() on a non-object at Preferences.php
Fatal error: Call to a member function msg() on a non-object at Preferences.php
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
1.21.x
All All
: Low blocker (vote)
: 1.21.0 release
Assigned To: Alexandre Emsenhuber [IAlex]
: code-update-regression
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-10-23 23:20 UTC by Sam Reed (reedy)
Modified: 2013-07-25 07:07 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2012-10-23 23:20:20 UTC
http://p.defau.lt/?nKlJW_iuVfeBpVVfcqpruw

[23-Oct-2012 23:11:57] Fatal error: Call to a member function msg() on a non-object at /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php on line 1207
Server: mw26
Method: GET
URL: http://en.wikipedia.org/wiki/Special:Preferences
Backtrace:
#0 /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php(1207): Preferences::validateSignature()
#1 [internal function]: Preferences::validateSignature('<small>'''[[Use...', Array, NULL)
#2 /usr/local/apache/common-local/php-1.21wmf2/includes/HTMLForm.php(1143): call_user_func(Array, '<small>'''[[Use...', Array, NULL)
#3 /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php(107): HTMLFormField->validate('<small>'''[[Use...', Array)
#4 /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php(1243): Preferences::getPreferences(Object(User), Object(RequestContext))
#5 /usr/local/apache/common-local/php-1.21wmf2/includes/specials/SpecialPreferences.php(60): Preferences::getFormObject(Object(User), Object(RequestContext))
#6 /usr/local/apache/common-local/php-1.21wmf2/includes/SpecialPage.php(599): SpecialPreferences->execute(NULL)
#7 /usr/local/apache/common-local/php-1.21wmf2/includes/SpecialPageFactory.php(497): SpecialPage->run(NULL)
#8 /usr/local/apache/common-local/php-1.21wmf2/includes/Wiki.php(291): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#9 /usr/local/apache/common-local/php-1.21wmf2/includes/Wiki.php(554): MediaWiki->performRequest()
#10 /usr/local/apache/common-local/php-1.21wmf2/includes/Wiki.php(447): MediaWiki->main()
#11 /usr/local/apache/common-local/php-1.21wmf2/index.php(59): MediaWiki->run()
#12 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#13 {main}
Comment 1 Krinkle 2012-10-23 23:22:06 UTC
Though 1.21 is still some time away, marking as blocker. Fatal errors are unacceptable.
Comment 2 Alexandre Emsenhuber [IAlex] 2012-11-01 21:08:40 UTC
Fix pending review in Gerrit change #31321.
Comment 3 Andre Klapper 2012-11-20 01:20:29 UTC
Patch in Gerrit needs rework according to review. Help welcome I guess.
Comment 4 Andre Klapper 2013-03-21 14:48:30 UTC
IAlex: Do you plan to rework your patch in Gerrit, or should this bug report be reassigned to default "nobody"?
Comment 5 Andre Klapper 2013-04-09 20:00:25 UTC
IAlex: Do you plan to rework your patch in Gerrit, or should this bug report be
reassigned to default "nobody"?
Comment 6 Andre Klapper 2013-05-14 14:03:06 UTC
Okay, updated patches now available in Gerrit. Thanks. :)
Comment 7 Gerrit Notification Bot 2013-05-15 08:52:20 UTC
https://gerrit.wikimedia.org/r/31321 (Gerrit Change I5826d6e3f1262c8d26af0cfe7074a939f80bcaca) | change APPROVED and MERGED [by jenkins-bot]
Comment 8 Alexandre Emsenhuber [IAlex] 2013-05-15 08:58:08 UTC
And merged (finally :))
Comment 9 Antoine "hashar" Musso (WMF) 2013-05-15 08:58:55 UTC
Thank you Alexandre for your patience =)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links